Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Reindl Harald
Am 02.02.2018 um 12:27 schrieb Paul B.: Hi guys, I had ClamAV up and running fine, but there was a problem and I had to restore the system from an earlier image. Everything is running fine, but now I can't install ClamAV. The system is MX Linux 17 (Debian 9.3) x64. I tried installing from

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
Thanks for the responses. > ask your distribution or use one with no broken repos This distro worked fine with Clam before I had a video driver problem. Restoring from image should have taken me back to safe ground, but for some reason it hasn't. I can ask at the distro, but I don't readily see

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Vijayakumar U
Try the below steps and let me know how it goes. wget http://database.clamav.net/main.cvd sudo cp main.cvd /var/lib/clamav wget http://database.clamav.net/daily.cvd sudo cp daily.cvd /var/lib/clamav restart the freshclam restart the clamd On 2 February 2018 at 17:39, Reindl Harald

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Kris Deugau
Paul B. wrote: Ok, I got the same errors from Synaptics upon trying to install a completely unrelated program: E: clamav-base: subprocess installed post-installation script returned error exit status 1 E: clamav-freshclam: dependency problems - leaving unconfigured E: clamav: dependency

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
Ok, I got the same errors from Synaptics upon trying to install a completely unrelated program: E: clamav-base: subprocess installed post-installation script returned error exit status 1 E: clamav-freshclam: dependency problems - leaving unconfigured E: clamav: dependency problems - leaving

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Reindl Harald
Am 03.02.2018 um 05:29 schrieb Paul B.: (Sorry to keep breaking threading. I'm on digest here, and I know of no way to Reply directly to a post.) Keep in mind that Debian itself cherry-picked the relevant fixes into a patch update to 0.99.2. If you are on Debian stable or a direct

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
> Synaptic should be able to show you enough information to track down the > missing dependencies, or allow you to uninstall them. Note that this > may break your installed-from-source working ClamAV, depending on where > it was installed. > Something is wrong with the recordkeeping in the

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Scott Kitterman
On February 2, 2018 9:14:04 PM UTC, "Paul B." wrote: >> Synaptic should be able to show you enough information to track down >the >> missing dependencies, or allow you to uninstall them. Note that this >> may break your installed-from-source working ClamAV, depending on

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Al Varnell
On Fri, Feb 02, 2018 at 06:06 PM, Paul B. wrote: >> You can't mix distro packages and builds from upstream source >> on the same system. If you're going to switch from one to the >> other, you have to uninstall. > >> Scott K > > That's initially what I did. I was going to avoid 99.3 because of

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Scott Kitterman
On February 3, 2018 3:09:29 AM UTC, Al Varnell wrote: >On Fri, Feb 02, 2018 at 06:06 PM, Paul B. wrote: >>> You can't mix distro packages and builds from upstream source >>> on the same system. If you're going to switch from one to the >>> other, you have to uninstall. >>

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
(Sorry to keep breaking threading. I'm on digest here, and I know of no way to Reply directly to a post.) > Keep in mind that Debian itself cherry-picked the relevant fixes > into a patch update to 0.99.2. If you are on Debian stable or a > direct derivative of stable, and have at least

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
> You can't mix distro packages and builds from upstream source > on the same system. If you're going to switch from one to the > other, you have to uninstall. > Scott K That's initially what I did. I was going to avoid 99.3 because of some problems reported here, so I went with 99.2 in the

Re: [clamav-users] Can't Install ClamAV

2018-02-02 Thread Reindl Harald
Am 02.02.2018 um 22:14 schrieb Paul B.: Ok, thanks. I did the Synaptic uninstall, and it did break the manual install. I've asked over at MX Linux and will see if they have any insight WTF - and *that* is the reason that you either use packages or handbuilt stuff and even if you build from

[clamav-users] Can't Install ClamAV

2018-02-02 Thread Paul B.
Hi guys, I had ClamAV up and running fine, but there was a problem and I had to restore the system from an earlier image. Everything is running fine, but now I can't install ClamAV. The system is MX Linux 17 (Debian 9.3) x64. I tried installing from the MX repo, which has CAV 99.2, and got the